Bug 810518 - xsd-3.3.0 fails to compile with GCC 4.7
xsd-3.3.0 fails to compile with GCC 4.7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xsd (Show other bugs)
rawhide
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Antti Andreimann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 10:11 EDT by Boris Kolpackov
Modified: 2012-04-26 16:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: xsd-3.3.0-12.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 16:07:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (13.49 KB, patch)
2012-04-06 10:12 EDT, Boris Kolpackov
no flags Details | Diff

  None (edit)
Description Boris Kolpackov 2012-04-06 10:11:41 EDT
Upstream xsd-3.3.0+dep package fails to compile with GCC 4.7. Upstream released the xsd-3.3.0-1+dep package to address this problem:

http://www.codesynthesis.com/download/xsd/3.3/

There is also a patch for xsd-3.3.0+dep (attached).
Comment 1 Boris Kolpackov 2012-04-06 10:12:18 EDT
Created attachment 575755 [details]
patch
Comment 2 Kalev Lember 2012-04-17 17:47:51 EDT
Thanks Boris, I've updated the Fedora 17 and rawhide packages to use the new xsd-3.3.0-1+dep tarball and dropped the downstream gcc 4.7 patch we had.

http://pkgs.fedoraproject.org/gitweb/?p=xsd.git;a=commitdiff;h=d9bd0cd5704
Comment 3 Fedora Update System 2012-04-17 18:08:00 EDT
xsd-3.3.0-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xsd-3.3.0-12.fc17
Comment 4 Fedora Update System 2012-04-18 18:14:17 EDT
Package xsd-3.3.0-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xsd-3.3.0-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6154/xsd-3.3.0-12.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-26 16:07:59 EDT
xsd-3.3.0-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.